XkbGetIndicatorState(3)

NAME
XkbGetIndicatorState - Obtains the current state of the keyboard indicators

SYNOPSIS
Status XkbGetIndicatorState ( display, device_spec, state_return )
      Display *display;
      unsigned int device_spec;
      unsigned int state_return;

ARGUMENTS

- display
    connection to the X server

- device_spec
    device ID, or XkbUseCoreKbd

- state_return
    backfilled with a mask of the indicator state

DESCRIPTION

Xkb allows applications to obtain information about indicators using two different methods. The first method, which is similar to the core X implementation, uses a mask to specify the indicators. The second method, which is more suitable for applications concerned with interoperability, uses indicator names. The correspondence between the indicator name and the bit position in masks is as follows: one of the parameters returned from XkbGetNamedIndicators is an index that is the bit position to use in any function call that requires a mask of indicator bits, as well as the indicator's index into the XkbIndicatorRec array of indicator maps. XkbGetIndicatorState queries the display for the state of the indicators on the device specified by the device_spec. For each indicator that is "turned on" on the device, the associated bit is set in state_return. If a compatible version of the Xkb extension is not available in the server, XkbGetIndicatorState returns a BadMatch error. Otherwise, it sends the request to the X server, places the state of the indicators into state_return, and returns Success. Thus the value reported by XkbGetIndicatorState is identical to the value reported by the core protocol.

DIAGNOSTICS

BadMatch
    A compatible version of Xkb was not available in the server or an argument has correct type and range, but is otherwise invalid

SEE ALSO
XkbGetNamedIndicators(3)